#
# spec file for package yast2-adsi
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-adsi
Version:        1.6
Release:        1.20
Summary:        Active Directory Compatible Service Interfaces Editor
License:        GPL-3.0-only
Group:          Productivity/Networking/Samba
Url:            https://github.com/yast/yast-adsi
Source:         %{name}-%{version}.tar.bz2

BuildRequires:  perl-XML-Writer
BuildRequires:  python3
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools
BuildRequires:  yast2-testsuite
BuildRequires:  rubygem(%rb_default_ruby_abi:yast-rake)

Requires:       krb5-client
Requires:       python3-ldap
Requires:       samba-client
Requires:       samba-python3
Requires:       yast2
Requires:       yast2-adcommon-python >= 0.6
Requires:       yast2-python3-bindings >= 4.0.0

BuildArch:      noarch

%description
The ADSI Edit for YaST module provides tools for viewing and modifying
an LDAP tree.

%prep
%setup -q

%build

%install
%yast_install
%yast_metainfo

%files
%{yast_clientdir}
%{yast_yncludedir}
%{yast_desktopdir}
%{yast_metainfodir}
%license COPYING

%changelog
* Mon Sep 23 2019 dmulder@suse.com
- Failure to authenticate on first try and throws a MemoryError
  on Ubuntu; (bsc#1151713);
- 1.6
* Wed Sep 18 2019 dmulder@suse.com
- Kerberos authentication always fails, disable for now
- Unused xset may cause exception in appimage; (bsc#1150612);
- 1.5
* Tue Aug  6 2019 dmulder@suse.com
- Provide a more descriptive package name; (bsc#1144530);
- 1.4
* Thu Jun 13 2019 dmulder@suse.com
- Move schema parsing code from adsi to the common code; (bsc#1138203);
- 1.3
* Fri Jun  7 2019 Stasiek Michalski <hellcp@mailbox.org>
- Use new schema of desktop files (boo#1084864)
- Clean up spec
- Rename desktop files
- 1.2
* Thu May  9 2019 dmulder@suse.com
- Add the Connection Settings dialog, for connecting to different
  naming contexts and switching domains/servers; (bsc#1134631).
- Properties dialog opens wrong item when selected from tree view;
  (bsc#1134630).
- Version 1.1
* Thu Mar 28 2019 dmulder@suse.com
- Display the right attributes for editing (mostly)
* Mon Dec 17 2018 dmulder@suse.com
- initial version
